org.eclipse.lyo.oslc4j.core.model

## Class ResourceShape

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.oslc4j.core.model.ResourceShape

- All Implemented Interfaces:
    IExtendedResource, IResource

      @OslcNamespace(value="http://open-services.net/ns/core#")
      @OslcResourceShape(title="OSLC Resource Shape Resource Shape",
                         describes="http://open-services.net/ns/core#ResourceShape")
      public final class ResourceShape
      extends AbstractResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceShape()`
    `ResourceShape(URI about)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDescribeItem(URI describeItem)`
    `void` | `addProperty(Property property)`
    `URI[]` | `getDescribes()`
    `Property[]` | `getProperties()`
    `Property` | `getProperty(URI definition)`
    `String` | `getTitle()`
    `void` | `setDescribes(URI[] describes)`
    `void` | `setProperties(Property[] properties)`
    `void` | `setTitle(String title)`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceShape

          public ResourceShape()

    - #### ResourceShape

          public ResourceShape(URI about)

  - ### Method Detail

    - #### addDescribeItem

          public void addDescribeItem(URI describeItem)

    - #### addProperty

          public void addProperty(Property property)

    - #### getProperty

          public Property getProperty(URI definition)

    - #### getDescribes

          @OslcDescription(value="Type or types of resource described by this shape")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#describes")
          @OslcReadOnly
          @OslcTitle(value="Describes")
          public URI[] getDescribes()

    - #### getProperties

          @OslcDescription(value="The properties that are allowed or required by this shape")
          @OslcName(value="property")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#property")
          @OslcRange(value="http://open-services.net/ns/core#Property")
          @OslcReadOnly
          @OslcRepresentation(value=Inline)
          @OslcTitle(value="Properties")
          @OslcValueShape(value="resourceShapes/property")
          @OslcValueType(value=LocalResource)
          public Property[] getProperties()

    - #### getTitle

          @OslcDescription(value="Title of the resource shape. SHOULD include only content that is valid and suitable inside an XHTML  element")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/title")
          @OslcReadOnly
          @OslcTitle(value="Title")
          @OslcValueType(value=XMLLiteral)
          public String getTitle()

    - #### setDescribes

          public void setDescribes(URI[] describes)

    - #### setProperties

          public void setProperties(Property[] properties)

    - #### setTitle

          public void setTitle(String title)

Copyright © 2016. All rights reserved.